module TalentReleaseContext
  extend ActiveSupport::Concern

  def talent_releases
    policy_scope(TalentRelease)
  end

  def set_talent_release
    talent_release_id = params[:talent_release_id] || params[:id]

    @talent_release = authorize talent_releases.find(talent_release_id)
  end
end
